%define module sqlalchemy-migrate
Name:           python-%{module}
Version:        0.7.2
Release:        %mkrel 2
Summary:        Database schema migration for SQLAlchemy

Group:          Development/Python
License:        MIT
URL:            http://pypi.python.org/pypi/sqlalchemy-migrate
Source0:         http://%{module}.googlecode.com/files/%{module}-%{version}.tar.gz

BuildRequires:  python-devel
BuildRequires:  python-setuptools
BuildRequires:	python-sqlalchemy
BuildRequires:	python-nose
BuildRequires:	python-sphinx
BuildRequires:	python-decorator

Requires:       python-nose >= 0.10
Requires:       python-sqlalchemy >= 0.5
Requires:       python-setuptools
Requires:       python-decorator
Buildarch:	noarch

%description
Inspired by Ruby on Rails' migrations, Migrate provides a way to deal with
database schema changes in SQLAlchemy projects.

Migrate extends SQLAlchemy to have database changeset handling. It provides a
database change repository mechanism which can be used from the command line as
well as from inside python code.

%prep
%setup -q -n %module-%version

%build
CFLAGS="%{optflags}" python setup.py build

%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install --root $RPM_BUILD_ROOT --install-purelib=%{python_sitearch}

%clean
rm -rf %{buildroot}

%files 
%defattr(-,root,root)
%doc PKG-INFO README docs
%{_bindir}/migrate*
%{python_sitearch}/*





%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.7.2-2.mga3
+ Revision: 379546
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Sep 08 2012 philippem <philippem> 0.7.2-1.mga3
+ Revision: 290051
- New upstream release 0.7.2

* Mon Jul 04 2011 philippem <philippem> 0.7.1-1.mga2
+ Revision: 118419
- imported package python-sqlalchemy-migrate

